summaryrefslogtreecommitdiffstats
path: root/source/xap/gv
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/gv')
-rwxr-xr-xsource/xap/gv/gv.SlackBuild6
-rw-r--r--source/xap/gv/gv.keysym.diff12
-rw-r--r--source/xap/gv/gv.libXaw3d.diff11
3 files changed, 14 insertions, 15 deletions
diff --git a/source/xap/gv/gv.SlackBuild b/source/xap/gv/gv.SlackBuild
index 1f300165a..67353af10 100755
--- a/source/xap/gv/gv.SlackBuild
+++ b/source/xap/gv/gv.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -58,7 +58,7 @@ rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
cd ${PKGNAM}-$VERSION || exit 1
-zcat $CWD/gv.keysym.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/gv.libXaw3d.diff.gz | patch -p1 --verbose || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -69,7 +69,7 @@ find . \
-exec chmod 644 {} \;
# Configure:
-CFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS $(pkg-config --cflags xaw3d)" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
diff --git a/source/xap/gv/gv.keysym.diff b/source/xap/gv/gv.keysym.diff
deleted file mode 100644
index f2e0a7caa..000000000
--- a/source/xap/gv/gv.keysym.diff
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -ur a/src/gv_misc_res.dat b/src/gv_misc_res.dat
---- a/src/gv_misc_res.dat 2010-10-15 09:21:36.000000000 +0200
-+++ b/src/gv_misc_res.dat 2010-10-15 09:21:48.000000000 +0200
-@@ -476,7 +476,6 @@
- <Key>BackSpace: GV_Page(up,left-bottom,!page-1,bottom-rightedge)\n\
- <Key>Insert: GV_Page(page-5) \n\
- <Key>Delete: GV_Page(page+5) \n\
-- <Key>apLineDel: GV_Page(page+5) \n\
- <Key>Home: GV_Page(page=0) \n\
- <Key>End: GV_Page(page=99999) \n\
- <Key>Prior: GV_Page(page-1) \n\
-
diff --git a/source/xap/gv/gv.libXaw3d.diff b/source/xap/gv/gv.libXaw3d.diff
new file mode 100644
index 000000000..b64cef007
--- /dev/null
+++ b/source/xap/gv/gv.libXaw3d.diff
@@ -0,0 +1,11 @@
+--- ./src/Scrollbar.c.orig 2011-08-03 11:14:14.000000000 -0500
++++ ./src/Scrollbar.c 2012-05-13 11:19:18.140324835 -0500
+@@ -1006,7 +1006,7 @@
+ TOPLOC = newtop;
+ SHOWNLENGTH = newbot-newtop+1;
+
+- (*swclass->threeD_class.shadowdraw) (w, event, region, FALSE);
++ (*swclass->threeD_class.shadowdraw) (w, event, region, sbw->threeD.relief, FALSE);
+
+ ENDMESSAGE(Redisplay)
+ }